PATCH
/api/public/v1/locations/{locationId}

Update a location

Update a location’s core fields (display name, address, accent color, etc.).

Path Parameters

NameTypeRequiredDescription
locationIdstring
Required
Location ID.

Request Body

PropertyTypeDescription
referencestringDisplay name.
taglinestringTagline.
subdomainstringFree subdomain.
addressLine1stringAddress line 1.
addressCitystringCity.
addressStatestringState / region.
addressCountrystringCountry.
addressPostalCodestringPostal code.
addressIsPublicbooleanShow address publicly.
accentColorstringPortal accent color.
PATCHExample request
curl
curl -X PATCH "https://www.pxb.app/api/public/v1/locations/{locationId}" \
  -H "Authorization: Bearer your_access_token" \
  -H "Content-Type: application/json" \
  -d '{
    "reference": "Acme Corp",
    "accentColor": "violet"
  }'
200Example response
json
{
  "message": "Location updated successfully!",
  "content": {
    "location": {
      "id": "loc_abc123"
    }
  }
}